// ListIT.cs - program to print a listing with line numbers
//-----------------------------------------------------------

using System;
using System.IO;

class ListIT
{
    public static void Main(string[] args)
    {
      try
      {

        int ctr=0;
        if (args.Length <= 0 )
        {
           Console.WriteLine("Format: ListIT filename");
           return;
        }
        else
        {
            FileStream f = new FileStream(args[0], FileMode.Open);
            try
            {
               StreamReader t = new StreamReader(f);
               string line;
               while ((line = t.ReadLine()) != null)
               {
                  ctr++;
                  Console.WriteLine("{0}:  {1}", ctr, line);
               }
               f.Close();
            }
            finally
            {
               f.Close();
            }
        }
       }
       catch (System.IO.FileNotFoundException)
       {
               Console.WriteLine ("ListIT could not find the file {0}", args[0]);
       }

       catch (Exception e)
       {
          Console.WriteLine("Exception: {0}\n\n", e);
       }
     }
}