//  hide.cs - 
//--------------------------------------------------------------------

using System;

public interface IShape
{
   // members left out to simplify example...
   int ShapeShifter( int val );
   int Sides { get; set; }
}

public class Shape : IShape
{
   private int sides; 

   public int Sides 
   {
      get { return sides; }
      set { sides = value; }
   }

   int IShape.ShapeShifter( int val )
   {
      Console.WriteLine("Shifting Shape....");
      val += 1;
      return val;
   }

   public Shape()
   {
      Sides = 5;
   }
}

public class myApp
{
   public static void Main()
   {
      Shape myShape = new Shape();
      
      Console.WriteLine("My shape has been created.");
      Console.WriteLine("Using get accessor. Sides = {0}", myShape.Sides);
      
//    myShape.Sides = myShape.ShapeShifter(myShape.Sides);   // error

      IShape tmp = (IShape) myShape;
      myShape.Sides = tmp.ShapeShifter( myShape.Sides);

      Console.WriteLine("ShapeShifter called. Sides = {0}", myShape.Sides);
   }
}
