//  props.cs - Using properties in an interface
//--------------------------------------------------------------------

using System;

public interface IShape
{
   int Sides 
   { 
      get; 
      set;
   }

   double Area();
}

public class Square : IShape
{
   private int sides;
   public  int SideLength;

   public double Area()  
   {
      return ((double) (SideLength * SideLength));
   }

   public int Sides
   {
      get { return sides; }
      set { sides = value; }
   }

   public Square()
   {
      Sides = 4;
   }
}

public class myApp
{
   public static void Main()
   {
      Square mySquare = new Square();
      mySquare.SideLength = 5;

      Console.WriteLine("\nDisplaying Square information:");
      Console.WriteLine("Area: {0}", mySquare.Area());
      Console.WriteLine("Sides: {0}", mySquare.Sides);
   }
}
