// cntrl1b.cs - Working with controls
//--------------------------------------------------------------------

using System;
using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
   public frmApp()
   {
      InitializeComponent();
   }    

   private void InitializeComponent()
   {
       this.Text = Environment.CommandLine;
       this.StartPosition = FormStartPosition.CenterScreen;

       // Create the controls...
       Label myDateLabel = new Label();

       DateTime currDate = new DateTime();
       currDate = DateTime.Now;
       myDateLabel.Text = currDate.ToString();

       myDateLabel.AutoSize = true;
       myDateLabel.Location = new Point( 50, 20);

       // Add the control to the form...
       this.Controls.Add(myDateLabel);

       this.Width = (myDateLabel.PreferredWidth + 100);

       // Create a couple buttons...
       Button btnOK = new Button();
       Button btnCancel = new Button();
       Button btnDate = new Button();

       btnOK.DialogResult = DialogResult.OK;
       btnOK.Text = "OK";
       btnOK.Location = new Point(10, ((this.Height - btnOK.Height) - 10));

       btnCancel.DialogResult = DialogResult.Cancel;
       btnCancel.Text = "Cancel";   
       btnCancel.Location = new Point(10 + btnOK.Width + 10, btnOK.Top );
//       btnCancel.Dock= DockStyle.Bottom;
  
       this.Controls.Add(btnOK);
       this.Controls.Add(btnCancel);
       this.Controls.Add(btnDate);

       this.CancelButton = btnCancel;
       this.AcceptButton = btnOK;

   }

   public static void Main( string[] args )
   {
      Application.Run( new frmApp() );
   }
}
