// control1.cs - Working with controls
//--------------------------------------------------------------------

using System;
using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
    public static void Main( string[] args )
    {
       frmApp myForm = new frmApp();

       myForm.Text = Environment.CommandLine;
       myForm.StartPosition = FormStartPosition.CenterScreen;

       // Create the controls...
       Label myDateLabel = new Label();
       Label myLabel = new Label();

       myLabel.Text = "This program was executed at:";
       myLabel.AutoSize = true;
       myLabel.Left = 50;
       myLabel.Top = 20;

       DateTime currDate = DateTime.Now;
       myDateLabel.Text = currDate.ToString();

       myDateLabel.AutoSize = true;
       myDateLabel.Left = 50 + myLabel.PreferredWidth + 10;
       myDateLabel.Top = 20;

       myForm.Width = myLabel.PreferredWidth + myDateLabel.PreferredWidth + 110;
       myForm.Height = myLabel.PreferredHeight+ 100;  

       // Add the control to the form...
       myForm.Controls.Add(myDateLabel);
       myForm.Controls.Add(myLabel);
                              
       Application.Run(myForm);
    }
}
