// list1.cs - Working with list box controls
//--------------------------------------------------------------

using System.Windows.Forms;
using System.Drawing;

public class frmGetName : Form
{
   private Button  btnOK;
   private Label   lblFullName;
   private TextBox txtFullName;
   private ListBox lboxSex;
   private Label   lblSex;
   private ListBox lboxAge;

   public frmGetName()
   {
      InitializeComponent();
   }    

   private void InitializeComponent()
   {
       this.FormBorderStyle = FormBorderStyle.Fixed3D;
       this.Text = "Get User Info";
       this.StartPosition = FormStartPosition.CenterScreen;

       // Instantiate the controls...
       lblFullName  = new Label();
       txtFullName  = new TextBox();
       btnOK        = new Button();   
       lblSex       = new Label();
       lboxSex      = new ListBox();
       lboxAge      = new ListBox();

       // Set properties
       lblFullName.Location = new Point(20, 40);
       lblFullName.AutoSize = true;
       lblFullName.Text = "Name:";

       txtFullName.Width = 170;
       txtFullName.Location = new Point(80, 40);


       btnOK.Text = "Done";
       btnOK.Location = new Point(((this.Width/2) - (btnOK.Width / 2)),
                                      (this.Height - 75));
       
       lblSex.Location = new Point(20, 70);
       lblSex.AutoSize = true;
       lblSex.Text = "Sex:";

       // Set up ListBox
       lboxSex.Location = new Point(80, 70);
       lboxSex.Size = new Size(100, 20);
       lboxSex.SelectionMode = SelectionMode.One;

       lboxSex.BeginUpdate();
         lboxSex.Items.Add("        ");
         lboxSex.Items.Add(" Boy    ");
         lboxSex.Items.Add(" Girl   ");
         lboxSex.Items.Add(" Man    ");
         lboxSex.Items.Add(" Lady   ");
       lboxSex.EndUpdate();

       // Set up ListBox
       lboxAge.Location = new Point(80, 100);
       lboxAge.Size     = new Size(100, 60);
       lboxAge.SelectionMode = SelectionMode.One;
       lboxAge.BeginUpdate();
         lboxAge.Items.Add("        ");
         lboxAge.Items.Add(" Under 21 ");
         lboxAge.Items.Add("    21    ");
         lboxAge.Items.Add(" Over 21  ");
       lboxAge.EndUpdate();
       lboxAge.SelectedIndex = 0;

       this.Controls.Add(btnOK);         // Add button to form
       this.Controls.Add(lblFullName); 
       this.Controls.Add(txtFullName);
       this.Controls.Add(lboxSex);
       this.Controls.Add(lblSex);
       this.Controls.Add(lboxAge);

       // Event handlers 
       btnOK.Click += new System.EventHandler(this.btnOK_Click);
   }

   protected void btnOK_Click( object sender, System.EventArgs e)
   {
      Application.Exit();
   }

   public static void Main( string[] args )
   {
      Application.Run( new frmGetName() );
   }
}
