// popup.cs - popup menus
//--------------------------------------------------------------

using System;
using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
   private ContextMenu myPopUp;
                              
   public frmApp()
   {
      InitializeComponent();
   }                

   private void InitializeComponent()
   {
       this.Text = "STY Pop-up Menu";
       this.StartPosition = FormStartPosition.CenterScreen;
                                   
       CreatePopUp();
   }
                    
   protected void PopUp_Selection( object sender, System.EventArgs e)
   {
      // Determine menu item and do logic...
      this.Text = ((MenuItem) sender).Text;
   }

   private void CreatePopUp() 
   {
      myPopUp = new ContextMenu();

      myPopUp.MenuItems.Add("First Item",
                            new EventHandler(this.PopUp_Selection));

      myPopUp.MenuItems.Add("Second Item",
                            new EventHandler(this.PopUp_Selection));

      myPopUp.MenuItems.Add("-");

      myPopUp.MenuItems.Add("Third Item",
                            new EventHandler(this.PopUp_Selection));

      this.ContextMenu = myPopUp;

   }

   public static void Main( string[] args )
   {
      Application.Run( new frmApp() );
   }
}
