// radio2.cs - Using Radio Buttons
//           - Using Groups
//-----------------------------------------------------------------

using System.Drawing;
using System.Windows.Forms;

public class Form1 : Form
{
   private GroupBox gboxAge;
   private GroupBox gboxSex;

   private RadioButton rdMale;
   private RadioButton rdFemale;
   private RadioButton rdYouth;
   private RadioButton rdAdult;
   private Button btnOK;

   public Form1()
   {
      InitializeComponent();
   }

   private void InitializeComponent()
   {
      this.gboxAge  = new GroupBox();
      this.gboxSex  = new GroupBox();
      this.rdMale   = new RadioButton();
      this.rdFemale = new RadioButton();
      this.rdYouth  = new RadioButton();
      this.rdAdult  = new RadioButton();
      this.btnOK    = new Button();

      // Form1
      this.ClientSize = new Size(350, 200);
      this.Text       = "Grouping Radio Buttons";

      // gboxSex
      this.gboxSex.Location = new Point(15, 30);
      this.gboxSex.Size     = new Size(125, 100);
      this.gboxSex.TabStop  = false;
      this.gboxSex.Text     = "Sex";

      // rdMale
      this.rdMale.Location = new Point(35, 35);
      this.rdMale.Size     = new Size(70, 15);
      this.rdMale.TabIndex = 0;
      this.rdMale.Text     = "Male";

      // rdFemale
      this.rdFemale.Location = new Point(35, 60);
      this.rdFemale.Size     = new Size(70, 15);
      this.rdFemale.TabIndex = 1;
      this.rdFemale.Text     = "Female";

      // gboxAge
      this.gboxAge.Location = new Point(200, 30);
      this.gboxAge.Size     = new Size(125, 100);
      this.gboxAge.TabStop  = false;
      this.gboxAge.Text     = "Age Group";

      // rdYouth
      this.rdYouth.Location = new Point(35, 35);
      this.rdYouth.Size     = new Size(70, 15);
      this.rdYouth.TabIndex = 3;
      this.rdYouth.Text     = "Over 21";

      // rdAdult
      this.rdAdult.Location = new Point(35, 60);
      this.rdAdult.Size     = new Size(70, 15);
      this.rdAdult.TabIndex = 4;
      this.rdAdult.Text     = "Under 21";

      // btnOK
      this.btnOK.Location = new Point(130, 160);
      this.btnOK.Size     = new Size(70, 30);
      this.btnOK.TabIndex = 6;
      this.btnOK.Text     = "OK";
      this.btnOK.Click   += new System.EventHandler(this.btnOK_Click);

      this.Controls.Add(gboxSex);
      this.Controls.Add(gboxAge);

      this.gboxSex.Controls.Add(rdMale);
      this.gboxSex.Controls.Add(rdFemale);
      this.gboxAge.Controls.Add(rdYouth);
      this.gboxAge.Controls.Add(rdAdult);

      this.Controls.Add(btnOK);
   }

   private void btnOK_Click(object sender, System.EventArgs e)
   {
      Application.Exit();
   }

   static void Main() 
   {
      Application.Run(new Form1());
   }
}

