//  over2.cs - Overloading      
//----------------------------------------------------

using System;

public class AChar
{
   private char CH;

   public AChar() { this.CH = ' '; }
   public AChar(char val) { this.CH = val; }

   public char ch 
   {
      get{ return this.CH; }
      set{ this.CH = value; }
   }

   static public AChar operator++ ( AChar orig )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch + 1);
      return result;
   }
   static public AChar operator-- ( AChar orig )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch - 1);
      return result;
   }

}

public class myAppClass
{
   public static void Main(String[] args)
   {
      AChar aaa = new AChar('g');
      AChar bbb = new AChar('g');

      Console.WriteLine("Original value: {0}, {1}", aaa.ch, bbb.ch);

      aaa = ++aaa;
      bbb = --bbb;

      Console.WriteLine("Current values: {0}, {1}", aaa.ch, bbb.ch);

      aaa = ++aaa;
      bbb = --bbb;

      Console.WriteLine("Final values: {0}, {1}", aaa.ch, bbb.ch);

   }
}
