//  ex_dice.cs- A class with two data members and member methods
//--------------------------------------------------------------------

class die
{
    public int sides;
    public int value;

    // The following declares a data member called rnd that is an
    // object of type System.Random.  
    static System.Random rnd = new System.Random();

    public int roll()
    { 
       value = (int) ((rnd.NextDouble() * sides) + 1);
       return value;
    }

    // A constructor to default values in the data members.
    public die()
    {
        sides = 6;
        value = 0;
    }
}

class diceclass
{
   public static void Main()
   {
      die dice1 = new die();
      die dice2 = new die();

      dice1.sides = 6;
      dice2.sides = 12;

      // The next two lines set the value data member to random number
      // based on the number of sides. This is done with the roll() 
      // method.
      dice1.roll();
      dice2.roll();

      System.Console.WriteLine("dice 1; sides = {0}, value = {1}",
                                dice1.sides, dice1.value);
      System.Console.WriteLine("dice 2; sides = {0}, value = {1}",
                                dice2.sides, dice2.value);
   }
}
