//  score3.cs- Using a array to find the score for a class (Ex 8.6)
//--------------------------------------------------------------------

using System;

public class ClassScore
{
   public static void Main()
   {
      // Set up array to hold 30 scores...
      int [,,] scores = new int[5,15,30];
      // Create a total variable for calculations....
      int ttl = 0;
      int yearTotal = 0;
      int testTotal = 0;

      // Set up random variable...
      System.Random rnd = new System.Random();

      Console.Write("Initializing scores.");
  
      // set random scores into array...
      for( int year = 0; year < 5; year++ )
      {
        // loop through tests for a given year...
        for ( int test = 0; test < 15; test++ )
        {
          // Loop through students for each test...
          for( int student = 0; student < 30; student++ )
          {
             scores[year,test,student] = (int) ((rnd.NextDouble() * 100) + 1);
             Console.Write(".");
          }
        }
      }
      Console.WriteLine("...done.\n");

      for( int year = 0; year < 5; year++ )
      {
        yearTotal = 0;
        //Loop through each test...
        for( int test = 0; test < 15; test++ )
        {
           testTotal = 0;   // set total accumulator to zero for a new test.
           for( int student = 0; student < 30; student++ )
           {
//             Console.WriteLine("Student {0} score: {1}", 
//                          student+1, scores[year,test,student]);
             testTotal += scores[year,test,student];             
           } 
           // print out average test score...
           Console.WriteLine("Average score for test {0} is {1}", 
                                                test+1, testTotal/30);
           yearTotal += testTotal;  // Add test total to overall total
        }
        Console.WriteLine("====> YEAR {0} Average: {1} <====", 
                                                year+1, yearTotal/(15*30));    
        ttl += yearTotal;
      }
      Console.WriteLine("======================================");
      Console.WriteLine("Average score for all tests = {0}", 
                                                         (ttl/(5*15*30)));
   }
}
