// catchIndex.cs
// A program that throws an exception
//=============================================
using System;

class MyAppClass 
{
   public static void Main() 
   {
      int [] myArray = new int[5];

      try 
      {
          for ( int ctr = 0; ctr < 10; ctr++ )  // Array only has 5 elements!
          {
              myArray[ctr] = ctr;
          } 
      }

      catch (IndexOutOfRangeException e)
      {
          Console.WriteLine("You were very goofy trying to use a bad array index!!", e);
      }

      catch (Exception e)
      {
         Console.WriteLine("Exception caught: {0}", e);
      }

      Console.WriteLine("\nDone with the catch statements. Done with program.");
   }
}
