// picts.cs - Using picture specifiers
//-----------------------------------------------

using System;

class myApp
{
  public static void Main()
  {
     int var1 = 1234;
     float var2 = 12.34F;

     // Zero formatter
     Console.WriteLine("\nZero...");
     Console.WriteLine("{0} -->{0:0000000}", var1);
     Console.WriteLine("{0} -->{0:0000000}", var2);

     // Space formatter
     Console.WriteLine("\nSpace...");
     Console.WriteLine("{0} -->{0:0####}<--", var1);
     Console.WriteLine("{0} -->{0:0####}<--", var2);

     // Group separator and mulitplier (,)
     Console.WriteLine("\nGroup Multiplier...");
     Console.WriteLine("{0} -->{0:0,,}<--", 1000000);
     Console.WriteLine("Group Separator...");
     Console.WriteLine("{0} -->{0:##,###,##0}<--", 2000000);
     Console.WriteLine("{0} -->{0:##,###,##0}<--", 3);

     // Percentage formatter
     Console.WriteLine("\nPercentage...");
     Console.WriteLine("{0} -->{0:0%}<--", var1);
     Console.WriteLine("{0} -->{0:0%}<--", var2);

    // Literal formatting
     Console.WriteLine("\nLiteral Formatting...");
     Console.WriteLine("{0} -->{0:'My Number: '0}<--", var1);
     Console.WriteLine("{0} -->{0:'My Number: '0}<--", var2);
     Console.WriteLine("\n{0} -->{0:Mine: 0}<--", var1);
     Console.WriteLine("{0} -->{0:Mine: 0}<--", var2);
  }
}
