//  delegate.cs - Using a delegates
//--------------------------------------------------------------------

using System;

public class SortClass
{          
    public static int [] vals = new int[10];
    public static Type arrType;

    public delegate void Sort( int[] vals );

    public void DoSort(Sort ar)
    {
        ar(vals);
    }
}

public class SortOption
{

   public static void Ascending( int[] vals )
   {
      int tmp; 

      for (int first = 0; first < (vals.Length - 1); first++ )
      {
         for ( int second = 1 + first ; second < vals.Length; second++ )
         {
            if (vals[first] > vals[second] )
            {
               tmp = vals[first];
               vals[first] = vals[second];
               vals[second] = tmp;
               Console.Write("<.");
            }
         }
      }
   }

   public static void Descending( int[] vals )
   {
      int tmp; 

      for (int first = 0; first < (vals.Length - 1); first++ )
      {
         for ( int second = 1 + first; second < vals.Length; second++ )
         {
            if (vals[first] < vals[second] )
            {
               tmp = vals[first];
               vals[first] = vals[second];
               vals[second] = tmp;
               Console.Write(">.");
            }
         }
      }
   }

   public static void Main()
   {
      SortClass.Sort up = new SortClass.Sort(Ascending);
      SortClass.Sort down = new SortClass.Sort(Descending);

      SortClass doIT = new SortClass();

      SortClass.vals[0] = 325; 
      SortClass.vals[1] = 31;
      SortClass.vals[2] = 23;
      SortClass.vals[3] = 1234;
      SortClass.vals[4] = 12;
      SortClass.vals[5] = 91;
      SortClass.vals[6] = 100;
      SortClass.vals[7] = 3;
      SortClass.vals[8] = 2000;
      SortClass.vals[9] = 369;

      for ( int x = 0; x < 10; x++ )
          Console.WriteLine("Original value {0}: {1}", x, SortClass.vals[x]);

      // A check here could be done to determine if the sort should
      // be ascending or decending. Based on the answer, you could 
      // then declare either the up or the down object (instead of 
      // declaring it above).

      Console.Write("\nSorting...");

      doIT.DoSort(up);

      Console.Write("\n\n");

      for ( int x = 0; x < 10; x++ )
         Console.WriteLine("Sorted value {0}: = {1}", x, SortClass.vals[x]);
   }
}
