//  writing1.cs - Writing to a text file.  
//  Exception handling left out to keep listing short.
//----------------------------------------------------
using System;
using System.IO;

public class WritingApp
{
   public static void Main(String[] args)
   {
      if( args.Length < 1 )
      {
          Console.WriteLine("Must include file name.");
      }
      else
      {
         Console.WriteLine("Enter text to be stored in the file.");
         Console.WriteLine("Enter a blank line to end input.");

         StreamWriter myFile = File.CreateText(args[0]);
         string buffer;

         do
         {
            buffer = Console.ReadLine();
            myFile.WriteLine(buffer);

         } while ( buffer != "" );

         Console.WriteLine("Done Writing");

         myFile.Close();
      }
   }
}
